VERSION 5.00
Begin VB.Form frmDBMan 
   Caption         =   "SQL Example 2"
   ClientHeight    =   2070
   ClientLeft      =   1110
   ClientTop       =   1515
   ClientWidth     =   4620
   LinkTopic       =   "Form1"
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   2070
   ScaleWidth      =   4620
   Begin VB.ListBox lstCities 
      Height          =   1620
      Left            =   2880
      TabIndex        =   3
      Top             =   120
      Width           =   1575
   End
   Begin VB.CommandButton cmdFind 
      Caption         =   "Find Cities"
      Height          =   495
      Left            =   120
      TabIndex        =   2
      Top             =   720
      Width           =   2535
   End
   Begin VB.TextBox txtCountry 
      Height          =   285
      Left            =   840
      TabIndex        =   0
      Top             =   120
      Width           =   1815
   End
   Begin VB.Data datCities 
      Caption         =   "Large World Cities"
      Connect         =   "Access"
      DatabaseName    =   "db1.mdb"
      DefaultCursorType=   0  'DefaultCursor
      DefaultType     =   2  'UseODBC
      Exclusive       =   0   'False
      Height          =   345
      Left            =   120
      Options         =   0
      ReadOnly        =   0   'False
      RecordsetType   =   1  'Dynaset
      RecordSource    =   "SELECT * FROM Cities ORDER BY city ASC"
      Top             =   1440
      Width           =   2655
   End
   Begin VB.Label lblCountry 
      Caption         =   "Country"
      Height          =   255
      Left            =   120
      TabIndex        =   1
      Top             =   120
      Width           =   615
   End
End
Attribute VB_Name = "frmDBMan"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' this searched through a database of cities and looks for
' those that are in the country entered in the box

Private Sub cmdFind_Click()
  Dim nom As String, criteria As String
  lstCities.Clear
  If txtCountry.Text <> "" Then
      Let nom = txtCountry.Text
      ' construct a part of an SQL where clause that
      ' looks like country = 'England'
      Let criteria = "country = " & "'" & nom & "'"
      ' begin the search
      datCities.Recordset.FindFirst criteria
      ' when the recordset is empty we will quit
      Do While datCities.Recordset.NoMatch = False
        lstCities.AddItem datCities.Recordset.Fields("city").Value
        ' go look for the next one
        datCities.Recordset.FindNext criteria
      Loop
      
      ' if we didn't find one, add 'None' to the list
      If lstCities.ListCount = 0 Then lstCities.AddItem "None"
    Else
      MsgBox "You must enter a country.", , ""
      txtCountry.SetFocus
    End If
End Sub

