VERSION 5.00
Begin VB.Form prefsedit 
   Caption         =   "Edit Preferences"
   ClientHeight    =   4350
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   6750
   LinkTopic       =   "Form1"
   ScaleHeight     =   4350
   ScaleWidth      =   6750
   StartUpPosition =   3  'Windows Default
   Begin VB.CommandButton Command1 
      Caption         =   "Cancel"
      Height          =   495
      Left            =   5760
      TabIndex        =   15
      Top             =   840
      Width           =   975
   End
   Begin VB.Frame Frame3 
      Caption         =   "Splash Page"
      Height          =   1095
      Left            =   0
      TabIndex        =   10
      Top             =   1320
      Width           =   4935
      Begin VB.TextBox splashname 
         Height          =   495
         Left            =   240
         TabIndex        =   12
         Top             =   480
         Width           =   4215
      End
      Begin VB.Label Label3 
         Alignment       =   2  'Center
         Caption         =   "Splash Page Text"
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   12
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   255
         Left            =   1200
         TabIndex        =   11
         Top             =   120
         Width           =   3015
      End
   End
   Begin VB.Frame Frame2 
      Caption         =   "Instructor Name"
      Height          =   1095
      Left            =   120
      TabIndex        =   5
      Top             =   0
      Width           =   4815
      Begin VB.ListBox title 
         Height          =   450
         ItemData        =   "prefsedit.frx":0000
         Left            =   3360
         List            =   "prefsedit.frx":0016
         Sorted          =   -1  'True
         TabIndex        =   13
         Top             =   480
         Width           =   1215
      End
      Begin VB.TextBox instrlast 
         Height          =   375
         Left            =   1800
         TabIndex        =   9
         Top             =   480
         Width           =   1335
      End
      Begin VB.TextBox instrfirst 
         Height          =   375
         Left            =   240
         TabIndex        =   8
         Top             =   480
         Width           =   1335
      End
      Begin VB.Label Label5 
         Caption         =   "Title"
         Height          =   255
         Left            =   3480
         TabIndex        =   14
         Top             =   240
         Width           =   975
      End
      Begin VB.Label Label2 
         Caption         =   "Last Name"
         Height          =   255
         Left            =   2040
         TabIndex        =   7
         Top             =   240
         Width           =   855
      End
      Begin VB.Label Label1 
         Caption         =   "First Name"
         Height          =   255
         Left            =   480
         TabIndex        =   6
         Top             =   240
         Width           =   855
      End
   End
   Begin VB.Frame Frame1 
      Caption         =   "Default Folder"
      Height          =   1215
      Left            =   120
      TabIndex        =   1
      Top             =   2640
      Width           =   5055
      Begin VB.CommandButton browse 
         Caption         =   "Browse"
         Height          =   375
         Left            =   3840
         TabIndex        =   3
         Top             =   240
         Width           =   975
      End
      Begin VB.TextBox basedir 
         Height          =   375
         Left            =   120
         TabIndex        =   2
         Top             =   720
         Width           =   4695
      End
      Begin VB.Label Label4 
         Alignment       =   2  'Center
         Caption         =   "Folder for gradebooks"
         BeginProperty Font 
            Name            =   "MS Sans Serif"
            Size            =   12
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   375
         Left            =   600
         TabIndex        =   4
         Top             =   240
         Width           =   3615
      End
   End
   Begin VB.CommandButton done 
      Caption         =   "Save Options"
      Height          =   495
      Left            =   5760
      TabIndex        =   0
      Top             =   0
      Width           =   975
   End
End
Attribute VB_Name = "prefsedit"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub basedir_Change()
    prefsdata.basedir = basedir.Text
End Sub

Private Sub browse_Click()
    getdir.Show vbModal
    basedir.Text = getdir.Folder
    prefsdata.basedir = basedir.Text
End Sub

Private Sub Command1_Click()
    Me.Hide
End Sub

Private Sub done_Click()
    If (instrfirst.Text = "") Then
        MsgBox "Instructor first name is required"
        instrfirst.SetFocus
    ElseIf (instrlast.Text = "") Then
        MsgBox "Instructor last name is required"
        instrlast.SetFocus
        Else
            prefsdata.fname = instrfirst.Text
            prefsdata.lname = instrlast.Text
            prefsdata.title = title.Text
            prefsdata.basedir = basedir.Text
            prefsdata.splashtext = splashname.Text
            saveprefs
            Me.Hide
        End If
End Sub
Public Sub saveprefs()
    writeINI Ifile, "Settings", "FirstName", prefsdata.fname
    writeINI Ifile, "Settings", "LastName", prefsdata.lname
    writeINI Ifile, "Settings", "Title", prefsdata.title
    writeINI Ifile, "Settings", "SplashText", prefsdata.splashtext
    writeINI Ifile, "Settings", "BaseDir", prefsdata.basedir
    writeINI Ifile, "Stats", "NumSchools", CStr(systemdata.numschools)
    writeINI Ifile, "Stats", "NumClasses", CStr(systemdata.numclasses)
End Sub

Public Sub getprefs()
    Dim temp As String, Ifile As String
    Ifile = App.Path & "\" & IniName
    temp = sGetINI(Ifile, "Settings", "FirstName", "?")
    prefsdata.fname = temp
    If temp = "?" Then
        prefsdata.fname = ""
    End If

    temp = sGetINI(Ifile, "Settings", "LastName", "?")
    prefsdata.lname = temp
    If temp = "?" Then
        prefsdata.lname = ""
    End If

    temp = sGetINI(Ifile, "Settings", "SplashText", "?")
    prefsdata.splashtext = temp
    If temp = "?" Then
        prefsdata.splashtext = "Store, analyze and publish grades for all your classes"
    End If
    start.splash.Caption = prefsdata.splashtext

    temp = sGetINI(Ifile, "Settings", "BaseDir", "?")
    prefsdata.basedir = temp
    If temp = "?" Then
        prefsdata.basedir = ""
    End If
    
    temp = sGetINI(Ifile, "Settings", "Title", "Professor")
    prefsdata.title = temp
    
    temp = sGetINI(Ifile, "Stats", "NumSchools", "?")
    systemdata.numschools = Val(temp)
    If temp = "?" Then
        systemdata.numschools = 0
    End If
    
    temp = sGetINI(Ifile, "Stats", "NumClasses", "?")
    systemdata.numclasses = Val(temp)
    If temp = "?" Then
        systemdata.numclasses = 0
    End If
End Sub

Private Sub Form_Load()
    getprefs
    instrfirst.Text = prefsdata.fname
    instrlast.Text = prefsdata.lname
    splashname.Text = prefsdata.splashtext
    basedir.Text = prefsdata.basedir
    title.Text = prefsdata.title
End Sub

