VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "names"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
Dim coll As Collection
Dim loaded As Boolean
Dim saved As Boolean

Private Sub Class_Initialize()
    Set coll = New Collection
    loaded = False
    saved = False
End Sub

Public Function item(index As Integer) As onename
    item = coll(index)
End Function

Public Function find(fname As String, lname As String, ByRef n As onename) As Boolean
    Dim x As Variant
    find = False
    For Each x In coll
        Select Case True
            Case fname = ""
                If x.lastname = lname Then
                    n = x
                    find = True
                End If
            Case lname = ""
                If x.firstname = fname Then
                    n = x
                    find = True
                End If
        End Select
    Next x
End Function

Public Function loadfromfile(fname As String) As Boolean
    Dim fnum As Integer, n As onename, str As String
    Dim sdata As Variant
    fnum = FreeFile
    Open fname For Input As #fnum
    Do While Not EOF(fnum)
        Line Input #1, str
        sdata = Split(str, " ")
        Set n = New onename
        n.lastname = sdata(0)
        n.firstname = sdata(1)
        coll.Add n
    Loop
    Close #fnum
    loaded = True
    loadfromfile = True
End Function
Public Function savetofile(fname As String) As Boolean
    Dim fnum As Integer, n As onename, str As String
    Dim i As Integer
    fnum = FreeFile
    Open fname For Output As #fnum
    For i = 1 To coll.count
        Print #fnum, coll.item(i).fileformat()
    Next i
    Close #fnum
    saved = True
    savetofile = True
End Function

Public Property Get isloaded() As Boolean
    isloaded = loaded
End Property

Public Property Get issaved() As Boolean
    issaved = saved
End Property

Public Property Get count() As Integer
    count = coll.count
End Property

Public Function getnext(reset As String, ByRef res As onename) As Integer
    Static cur As Integer
    If cur = 0 Then cur = 1
    If reset = "reset" Then cur = 1
    If cur > coll.count Then
       getnext = 0
    Else
        Set res = coll.item(cur)
        getnext = cur
        cur = cur + 1
    End If
End Function
Public Sub remove(index As Integer)
    If index < coll.count Then
        coll.remove index
        saved = False
    End If
End Sub
