VERSION 5.00
Begin VB.Form Lab5 
   Caption         =   "Lab 5 Solution"
   ClientHeight    =   3660
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   6465
   LinkTopic       =   "Form1"
   ScaleHeight     =   3660
   ScaleWidth      =   6465
   StartUpPosition =   3  'Windows Default
   Begin VB.Timer Timer1 
      Left            =   4440
      Top             =   0
   End
   Begin VB.CommandButton savedata 
      Caption         =   "Save Data"
      Height          =   375
      Left            =   2160
      TabIndex        =   7
      Top             =   360
      Width           =   1095
   End
   Begin VB.CommandButton done 
      Caption         =   "Exit"
      Height          =   375
      Left            =   120
      TabIndex        =   6
      Top             =   3120
      Width           =   1575
   End
   Begin VB.CommandButton delete 
      Caption         =   "Delete Name"
      Height          =   495
      Left            =   4680
      TabIndex        =   5
      Top             =   2280
      Width           =   1095
   End
   Begin VB.ListBox results 
      Height          =   1425
      ItemData        =   "Form1.frx":0000
      Left            =   3720
      List            =   "Form1.frx":0002
      TabIndex        =   4
      Top             =   720
      Width           =   2055
   End
   Begin VB.CommandButton findlname 
      Caption         =   "Find Last Name"
      Height          =   495
      Left            =   1440
      TabIndex        =   3
      Top             =   2040
      Width           =   855
   End
   Begin VB.CommandButton findfname 
      Caption         =   "Find First Name"
      Height          =   495
      Left            =   240
      TabIndex        =   2
      Top             =   2040
      Width           =   855
   End
   Begin VB.TextBox target 
      Height          =   375
      Left            =   360
      TabIndex        =   1
      Top             =   1200
      Width           =   1455
   End
   Begin VB.CommandButton load 
      Caption         =   "Load Data"
      Height          =   375
      Left            =   360
      TabIndex        =   0
      Top             =   360
      Width           =   1095
   End
   Begin VB.Label msgs 
      Height          =   495
      Left            =   2400
      TabIndex        =   8
      Top             =   3120
      Width           =   3855
   End
End
Attribute VB_Name = "Lab5"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim Namedata As New names
Dim Ifile As String, Ofile As String

Private Sub delete_Click()
    Dim x As Integer
    x = results.ItemData(results.ListIndex)
    Namedata.remove x
    showmesg results.Text & " removed", 0
    results.RemoveItem results.ListIndex
End Sub

Private Sub findfname_Click()
    Dim s As onename, res As Integer
    If Not Namedata.isloaded Then
        showmesg "You must load the data first", 1
        load.SetFocus
        Exit Sub
    End If
    If target.Text = "" Then
        showmesg "You must fill in a target", 1
        target.SetFocus
        Exit Sub
    End If
    res = Namedata.getnext("reset", s)
    Do While res <> 0
        If StrConv(s.firstname, vbLowerCase) = StrConv(target.Text, vbLowerCase) Then
            results.AddItem s.lastfirst
            results.ItemData(results.ListCount - 1) = res
        End If
        res = Namedata.getnext("", s)
    Loop
End Sub
Private Sub findlname_Click()
    Dim s As onename, res As Integer
    If Not Namedata.isloaded Then
        showmesg "You must load the data first", 1
        load.SetFocus
        Exit Sub
    End If
    If target.Text = "" Then
        showmesg "You must fill in a target", 1
        target.SetFocus
        Exit Sub
    End If
    res = Namedata.getnext("reset", s)
    Do While res <> 0
        If StrConv(s.lastname, vbLowerCase) = StrConv(target.Text, vbLowerCase) Then
            results.AddItem s.lastfirst
            results.ItemData(results.ListCount - 1) = res
        End If
        res = Namedata.getnext("", s)
    Loop
End Sub
Private Sub Form_Load()
    Ifile = App.Path & "\lab5.txt"
    Ofile = App.Path & "\lab5o.txt"
End Sub
' if the data hasn't been saved, then ask if we should
' save it before ending
Private Sub done_Click()
    Dim retval As String, optval As String, mesg As String
    If Not Namedata.issaved Then
        optval = vbExclamation + vbYesNo + vbDefaultButton2
        mesg = "Data is unsaved, do you want to save first?"
        retval = MsgBox(mesg, optval, "Unsaved Data")
    
        If retval = vbYes Then
            Namedata.savetofile (Ofile)
        End If
    End If
    End
End Sub

' open the data file and load it into the collection
Private Sub load_Click()
   If Namedata.loadfromfile(Ifile) Then
        showmesg "data file loaded", 0
   Else
        showmesg "loading data file failed", 1
   End If
End Sub
' dump the data to the output file
Private Sub savedata_Click()
    If Namedata.savetofile(Ofile) Then
        showmesg "data file saved", 0
   Else
        showmesg "saving data file failed", 1
   End If
End Sub

' message display code
Private Sub showmesg(msg As String, n As Integer)
    If n = 1 Then
        msgs.ForeColor = vbRed
    End If
    msgs.Caption = msg
    Timer1.Interval = 5000
    Timer1.Enabled = True
End Sub
Private Sub Timer1_Timer()
    msgs.Caption = ""
    Timer1.Enabled = False
End Sub
