VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   3705
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   5745
   LinkTopic       =   "Form1"
   ScaleHeight     =   3705
   ScaleWidth      =   5745
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox finalgrade 
      Height          =   375
      Left            =   4560
      TabIndex        =   8
      Top             =   960
      Width           =   975
   End
   Begin VB.Timer Timer1 
      Enabled         =   0   'False
      Left            =   120
      Top             =   2880
   End
   Begin VB.CommandButton Command3 
      Caption         =   "Exit"
      Height          =   615
      Left            =   4200
      TabIndex        =   7
      Top             =   1920
      Width           =   1095
   End
   Begin VB.CommandButton dumpit 
      Caption         =   "Dump data"
      Height          =   495
      Left            =   3720
      TabIndex        =   4
      Top             =   3000
      Width           =   1455
   End
   Begin VB.ListBox pupils 
      Height          =   840
      ItemData        =   "Form1.frx":0000
      Left            =   1560
      List            =   "Form1.frx":0002
      TabIndex        =   3
      Top             =   720
      Width           =   1215
   End
   Begin VB.CommandButton loadfile 
      Caption         =   "Load file"
      Height          =   375
      Left            =   240
      TabIndex        =   2
      Top             =   1800
      Width           =   975
   End
   Begin VB.FileListBox filelist 
      Height          =   1065
      Left            =   120
      TabIndex        =   1
      Top             =   600
      Width           =   1215
   End
   Begin VB.Label ofilename 
      Height          =   255
      Left            =   1080
      TabIndex        =   10
      Top             =   3120
      Width           =   1455
   End
   Begin VB.Label Label2 
      Caption         =   "Final Grade"
      Height          =   255
      Left            =   3360
      TabIndex        =   9
      Top             =   1080
      Width           =   1095
   End
   Begin VB.Label msgs 
      Height          =   375
      Left            =   2160
      TabIndex        =   6
      Top             =   120
      Width           =   3375
   End
   Begin VB.Label dlab 
      Caption         =   "Output file name"
      Height          =   255
      Left            =   1080
      TabIndex        =   5
      Top             =   2880
      Width           =   2415
   End
   Begin VB.Label Label1 
      Caption         =   "File Choices"
      Height          =   255
      Left            =   120
      TabIndex        =   0
      Top             =   240
      Width           =   1455
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit


Private Sub showmesg(msg As String, n As Integer)
    If n = 1 Then
        msgs.ForeColor = vbRed
    End If
    msgs.Caption = msg
    Timer1.Interval = 5000
    Timer1.Enabled = True
End Sub

Private Sub loadfile_Click()
Dim temp As String, fname As String
Dim slist As Variant, sstr As Variant
Dim studentcnt As Integer, i As Integer


fname = App.Path & "\" & filelist.List(filelist.ListIndex)
Call showmesg("fname is " & fname, 0)
studentcnt = 0

Open fname For Input As #1
While Not EOF(1)
    Line Input #1, temp
    If InStr(temp, SEP) = 0 Then
        Call showmesg("bad string, no seperator, quitting", 1)
        Close #1
        Exit Sub
    End If
    slist = Split(temp, SEP)
    students(studentcnt).fname = slist(0) ' first name
    students(studentcnt).lname = slist(1) ' last name
    ' add this name to the students list
    pupils.AddItem (students(studentcnt).fname & " " & students(studentcnt).lname)
    students(studentcnt).id = slist(2) ' id
    students(studentcnt).email = slist(3) ' email
    For i = 4 To 13
        students(studentcnt).scores(i - 4) = Val(slist(i))
    Next i
    students(studentcnt).total = Val(slist(14)) ' total points
    students(studentcnt).percent = Val(slist(15)) ' percent
    students(studentcnt).grade = slist(16) ' final grade
    studentcnt = studentcnt + 1
Wend
Close #1
Call showmesg("data file loaded", 0)
End Sub
'save the array of student records as a random access file
Private Sub dumpit_Click()
    Dim fname As String
    Dim i As Integer, flist As Variant
    Dim dummy As student
 '   On Error GoTo errhandle
    
    If pupils.ListCount = 0 Then
    Call showmesg("you must load a file first", 1)
        filelist.SetFocus
        Exit Sub
    End If
    ' the file name is the same as the loaded file with
    ' a rd suffix
    flist = Split(filelist.List(filelist.ListIndex), ".")
    fname = App.Path & "\" & flist(0) & ".rd"
    ofilename.Caption = fname ' show the file name
    Open fname For Random As #1 'Len = Len(dummy)
    For i = 0 To UBound(students)
        Put #1, , students(i)
    Next i
    Close #1
    Call showmesg("data file written", 0)
    Exit Sub
errhandle:
    MsgBox "Unhandled error: number is " & Err & ": " & Error
    Exit Sub
End Sub

Private Sub Command3_Click()
    End
End Sub

Private Sub Form_Load()
    On Error GoTo errhandle
    
    filelist.Path = App.Path
    filelist.Pattern = "*.dt"
    Exit Sub
errhandle:
    MsgBox "Unhandled error: number is" & Err & ": " & Error
    Exit Sub
End Sub

Private Sub pupils_Click()
    finalgrade.Text = students(pupils.ListIndex).grade
End Sub

Private Sub Timer1_Timer()
    msgs.Caption = ""
    Timer1.Enabled = False
End Sub
