VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "course"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
' data elements that hold the course information
' these are private to the class.
' These are accessible only to the functions and subs
' inside the class
Private m_classname As String
Private m_classnum As String
Private m_school As String
Private m_Dept As String

' the property get methods are used to retrieve the private
' data elements. The code outside the class refers to the
' variable using the name of the function as if it
' were a public property on the object
' like Dim x As String
' x = obj.classname
' There will be one of these for each private variable
' you want the user to be able to read
' You don't have to have any

Public Property Get classname() As String
    classname = m_classname
End Property

'This is the method that is used to change the value
' of the private data. Like the Get method, it looks like a variable
' reference. If the object is used like this
' obj.classname = x
' this is turned into this method call
' obj.classname(x)
' There will be one of these for each variable you
' want the user to be able to alter
' You don't need to have any

Public Property Let classname(ByVal vNewValue As String)
    m_classname = UCase(vNewValue)
End Property

Public Property Get classnum() As String
    classnum = m_classnum
End Property

Public Property Let classnum(ByVal vNewValue As String)
    m_classnum = vNewValue
End Property

Public Property Get school() As String
    school = m_school
End Property

Public Property Let school(ByVal vNewValue As String)
    m_school = vNewValue
End Property

Public Property Get dept() As String
    dept = m_Dept
End Property

Public Property Let dept(ByVal vNewValue As String)
    m_Dept = vNewValue
End Property

'concatenate the data values together with some labels
' and return the string
Public Function show() As String
    Dim str As String
    str = "Class Num = " & m_classnum
    str = str & " Dept = " & m_Dept
    str = str & " School = " & m_school
    str = str & " Name is " & m_classname
    show = str
End Function

